﻿$NewEnum = @{
    DataSourceName = "bmf_w2k12r2:PSTraining"
    UserName = "admin"
    Password = "admin"
    PWFolderID = 283
}

#region With Recursion

$file = "D:\temp\Export\EnumTest_FolderOnly_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocs_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -IncludeDocuments -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDeleted_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -IncludeDeletedObjects -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndVerbose_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocsAndDeleted_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -IncludeDocuments -IncludeDeletedObjects -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocsAndVerbose_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -IncludeDocuments -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDeletedAndVerbose_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -IncludeDeletedObjects -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocsAndDeletedAndVerbose_with_Recursion .txt"
New-PWEnumFolders @NewEnum -RecurseFolders -IncludeDocuments -IncludeDeletedObjects -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

#endregion With Recursion


#region Without Recursion
$file = "D:\temp\Export\EnumTest_FolderOnly_without_Recursion .txt"
New-PWEnumFolders @NewEnum -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocs_without_Recursion .txt"
New-PWEnumFolders @NewEnum -IncludeDocuments -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDeleted_without_Recursion .txt"
New-PWEnumFolders @NewEnum -IncludeDeletedObjects -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndVerbose_without_Recursion .txt"
New-PWEnumFolders @NewEnum -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocsAndDeleted_without_Recursion .txt"
New-PWEnumFolders @NewEnum -IncludeDocuments -IncludeDeletedObjects -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocsAndVerbose_without_Recursion .txt"
New-PWEnumFolders @NewEnum -IncludeDocuments -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDeletedAndVerbose_without_Recursion .txt"
New-PWEnumFolders @NewEnum -IncludeDeletedObjects -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

$file = "D:\temp\Export\EnumTest_FolderAndDocsAndDeletedAndVerbose_without_Recursion .txt"
New-PWEnumFolders @NewEnum -IncludeDocuments -IncludeDeletedObjects -VerboseOperation -OutputFilePathName $file -OpenOutputFile -Verbose

#endregion Without Recursion